Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07050 Timing Minor Always Jul 21, 2018, 22:53 24 days ago
Tester zaxxon View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS
Status [?] Confirmed Driver vectrex.cpp
Version 0.199 Fixed in Version Build
Summary MESS-specific 07050: vectrex: 6522 VIA shift register issue
Description there is currently an issue with the vectrex emulation.
this issue was not present in mame version 0.178 (apologies i don't know in which version of mame this issue first appeared).
currently in mame the vectrex emulation has a VIA bug, which is due to the shift register being incorrectly shifted every cycle.
the shift register should be shifted every two cycles (i have attached the information from the 6522 VIA datasheet showing this).
this current emulation inaccuracy results in text shown on the display being displayed as 'compressed'.
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version 0.186
Affected Sets / Systems vectrex
Attached Files
png file icon 6522 VIA - Datasheet.png (17,392 bytes) Jul 21, 2018, 22:53 Uploaded by zaxxon
zaxxon
png file icon MAME 0.199.png (3,599 bytes) Jul 21, 2018, 22:56 Uploaded by zaxxon
Incorrect
zaxxon
png file icon MAME 0.178.png (3,358 bytes) Jul 21, 2018, 22:56 Uploaded by zaxxon
Correct
zaxxon
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.15287
Tafoid
Administrator
Jul 22, 2018, 00:46
First regressed April 28, 2017:
https://github.com/mamedev/mame/pull/2262
https://github.com/mamedev/mame/pull/2262/files

Attempted fix May 04, 2017:
https://github.com/mamedev/mame/pull/2278
https://github.com/mamedev/mame/pull/2278/commits/eb0dd7370f3c0eb1c759c9808ed410598617fc15

Pretty sure this is the offender. There is a later regression but that was due to main CPU changes, not the VIA
User avatar
No.17837
Robbbert
Developer
25 days ago
I think this is fixed? Can someone confirm?
User avatar
No.17841
Tafoid
Administrator
24 days ago
It still appears to be happening, just not quite as noticeable as the original before. If you use SHIFT+P to watch the intro lines scroll per frame and compare that to 0.185 and earlier, you'll see jumpiness in the scrolling where lines not 'smoothly' moving, parts of the line disappearing and reappearing next frame.